#ifndef CALCAFFINITY_H
#define CALCAFFINITY_H

#include <cv_header.h>
#include <vector>

// marco definition
#define sigma_a 500
#define sigma_s 0.05

#define RADIUS 3
#define WINDOW_WIDTH (2*RADIUS+1)
#define WINDOW_PIXELS (WINDOW_WIDTH*WINDOW_WIDTH)

typedef struct{
	float weight;
	int ind;
}AffinityArray;

void calcAffinityArray(Mat src, vector<vector<AffinityArray> > &weights);

#endif